Get the raw hypervisor VM record
curl --request GET \
--url https://my.server.express/api/v1/cloud/{id}/servers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/cloud/{id}/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/cloud/{id}/servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": [
{
"vmid": 123,
"name": "<string>",
"status": "running",
"cpu": 123,
"cpus": 123,
"mem": 123,
"maxmem": 123,
"disk": 123,
"maxdisk": 123,
"uptime": 123,
"node": "<string>"
}
]
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Cloud
Get the raw hypervisor VM record
Calls Proxmox live and returns this service’s VM as the hypervisor reports it — an array with zero or one entry (never other customers’ VMs on the same host). Returns 503 if the server hasn’t been placed on a node yet.
GET
/
v1
/
cloud
/
{id}
/
servers
Get the raw hypervisor VM record
curl --request GET \
--url https://my.server.express/api/v1/cloud/{id}/servers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/cloud/{id}/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/cloud/{id}/servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": [
{
"vmid": 123,
"name": "<string>",
"status": "running",
"cpu": 123,
"cpus": 123,
"mem": 123,
"maxmem": 123,
"disk": 123,
"maxdisk": 123,
"uptime": 123,
"node": "<string>"
}
]
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Authorizations
bearerAuthapiToken
Session access token (JWT) from POST /v1/auth/login or /v1/auth/refresh. A session satisfies every API scope.
Path Parameters
Service id of the cloud server.